<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.11"/>
<title>LibraryMgr: UserDetailsDialog Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<script type="text/javascript">
  $(document).ready(initResizable);
  $(window).load(resizeHeight);
</script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { init_search(); });
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="logo_small.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">LibraryMgr
   &#160;<span id="projectnumber">0.4</span>
   </div>
   <div id="projectbrief">Library manager desktop app</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.11 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="inherits.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
$(document).ready(function(){initNavTree('class_user_details_dialog.html','');});
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pro-attribs">Protected Attributes</a> &#124;
<a href="class_user_details_dialog-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">UserDetailsDialog Class Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p><code>#include &lt;<a class="el" href="_user_details_dialog_8h_source.html">UserDetailsDialog.h</a>&gt;</code></p>
<div class="dynheader">
Inheritance diagram for UserDetailsDialog:</div>
<div class="dyncontent">
<div class="center"><img src="class_user_details_dialog__inherit__graph.png" border="0" usemap="#_user_details_dialog_inherit__map" alt="Inheritance graph"/></div>
<map name="_user_details_dialog_inherit__map" id="_user_details_dialog_inherit__map">
<area shape="rect" id="node3" href="class_user_adder_dialog.html" title="UserAdderDialog" alt="" coords="5,155,127,181"/>
<area shape="rect" id="node4" href="class_user_editor_dialog.html" title="UserEditorDialog" alt="" coords="151,155,272,181"/>
</map>
<center><span class="legend">[<a target="top" href="graph_legend.html">legend</a>]</span></center></div>
<div class="dynheader">
Collaboration diagram for UserDetailsDialog:</div>
<div class="dyncontent">
<div class="center"><img src="class_user_details_dialog__coll__graph.png" border="0" usemap="#_user_details_dialog_coll__map" alt="Collaboration graph"/></div>
<map name="_user_details_dialog_coll__map" id="_user_details_dialog_coll__map">
<area shape="rect" id="node3" href="class_inline_label.html" title="InlineLabel" alt="" coords="99,81,183,108"/>
</map>
<center><span class="legend">[<a target="top" href="graph_legend.html">legend</a>]</span></center></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:a75103e708a793f9d061134d0b698ec3b"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_user_details_dialog.html#a75103e708a793f9d061134d0b698ec3b">UserDetailsDialog</a> (bool isReadOnly=true, QWidget *parent=0)</td></tr>
<tr class="separator:a75103e708a793f9d061134d0b698ec3b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4f05d113fed6ae53bf530b4b213f56c1"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_user_details_dialog.html#a4f05d113fed6ae53bf530b4b213f56c1">populate</a> (<a class="el" href="class_user.html">User</a> user)</td></tr>
<tr class="separator:a4f05d113fed6ae53bf530b4b213f56c1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8c7b51e1d31fe8cba8211732563f7112"><td class="memItemLeft" align="right" valign="top"><a class="el" href="class_user.html">User</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_user_details_dialog.html#a8c7b51e1d31fe8cba8211732563f7112">getUser</a> ()</td></tr>
<tr class="separator:a8c7b51e1d31fe8cba8211732563f7112"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a26d57836ff8ace4f2ab9e72669873e13"><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_user_details_dialog.html#a26d57836ff8ace4f2ab9e72669873e13">setup</a> ()</td></tr>
<tr class="separator:a26d57836ff8ace4f2ab9e72669873e13"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pro-attribs"></a>
Protected Attributes</h2></td></tr>
<tr class="memitem:a05ee39e3cefb1177b7adfa92a6be9e88"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a05ee39e3cefb1177b7adfa92a6be9e88"></a>
<a class="el" href="class_inline_label.html">InlineLabel</a> *&#160;</td><td class="memItemRight" valign="bottom"><b>emailLabel</b></td></tr>
<tr class="separator:a05ee39e3cefb1177b7adfa92a6be9e88"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae3979ca6997afb33503814af270ce94d"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ae3979ca6997afb33503814af270ce94d"></a>
<a class="el" href="class_inline_label.html">InlineLabel</a> *&#160;</td><td class="memItemRight" valign="bottom"><b>nameLabel</b></td></tr>
<tr class="separator:ae3979ca6997afb33503814af270ce94d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab4e3f5dc2f481961e053110f2f85255d"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ab4e3f5dc2f481961e053110f2f85255d"></a>
<a class="el" href="class_inline_label.html">InlineLabel</a> *&#160;</td><td class="memItemRight" valign="bottom"><b>surnameLabel</b></td></tr>
<tr class="separator:ab4e3f5dc2f481961e053110f2f85255d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6660c4e9c01c412fb177cc3c0f0242b3"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a6660c4e9c01c412fb177cc3c0f0242b3"></a>
QDateEdit *&#160;</td><td class="memItemRight" valign="bottom"><b>birthDate</b></td></tr>
<tr class="separator:a6660c4e9c01c412fb177cc3c0f0242b3"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>Copyright 2016-2017 Stefano Fogarollo</p>
<p>Licensed under the Apache License, Version 2.0 (the "License"); you may not use this file except in compliance with the License. You may obtain a copy of the License at</p>
<p><a href="http://www.apache.org/licenses/LICENSE-2.0">http://www.apache.org/licenses/LICENSE-2.0</a></p>
<p>Unless required by applicable law or agreed to in writing, software distributed under the License is distributed on an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the License for the specific language governing permissions and limitations under the License. GUI dialog to show user details </p>
</div><h2 class="groupheader">Constructor &amp; Destructor Documentation</h2>
<a class="anchor" id="a75103e708a793f9d061134d0b698ec3b"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">UserDetailsDialog::UserDetailsDialog </td>
          <td>(</td>
          <td class="paramtype">bool&#160;</td>
          <td class="paramname"><em>isReadOnly</em> = <code>true</code>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">QWidget *&#160;</td>
          <td class="paramname"><em>parent</em> = <code>0</code>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>New dialog </p><dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">parent</td><td>parent widget to show dialog in </td></tr>
    <tr><td class="paramname">isReadOnly</td><td>whether user can edit fields </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>new dialog</dd></dl>
<p>Copyright 2016-2017 Stefano Fogarollo</p>
<p>Licensed under the Apache License, Version 2.0 (the "License"); you may not use this file except in compliance with the License. You may obtain a copy of the License at</p>
<p><a href="http://www.apache.org/licenses/LICENSE-2.0">http://www.apache.org/licenses/LICENSE-2.0</a></p>
<p>Unless required by applicable law or agreed to in writing, software distributed under the License is distributed on an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the License for the specific language governing permissions and limitations under the License. </p>

</div>
</div>
<h2 class="groupheader">Member Function Documentation</h2>
<a class="anchor" id="a8c7b51e1d31fe8cba8211732563f7112"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="class_user.html">User</a> UserDetailsDialog::getUser </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Builds user with fields set in dialog </p><dl class="section return"><dt>Returns</dt><dd>user </dd></dl>

</div>
</div>
<a class="anchor" id="a4f05d113fed6ae53bf530b4b213f56c1"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void UserDetailsDialog::populate </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="class_user.html">User</a>&#160;</td>
          <td class="paramname"><em>user</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Populate dialog with book features </p><dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">user</td><td>user to show in dialog </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="a26d57836ff8ace4f2ab9e72669873e13"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void UserDetailsDialog::setup </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p>Setups gui </p>

</div>
</div>
<hr/>The documentation for this class was generated from the following files:<ul>
<li>gui/dialogs/UserDetailsDialog/<a class="el" href="_user_details_dialog_8h_source.html">UserDetailsDialog.h</a></li>
<li>gui/dialogs/UserDetailsDialog/UserDetailsDialog.cpp</li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="class_user_details_dialog.html">UserDetailsDialog</a></li>
    <li class="footer">Generated by
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.8.11 </li>
  </ul>
</div>
</body>
</html>
